Bug 1029241 - Frequent error from site test case
Frequent error from site test case
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 19:10 EST by Dan McPherson
Modified: 2015-05-14 21:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 16:50:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-11-11 19:10:50 EST
This is failing almost every test case run:

  1) Failure:
test_get_app_by_singular_resource_url(SingularResourcesIntegrationTest) [/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.17.3/test/integration/singular_resources_test.rb:15]:
Expected at least 1 element matching "h1 > .name", found 0.


And in this case failed on two retries:

https://ci.dev.openshift.redhat.com/jenkins/job/test_pull_requests/5280/console


However, most times it works on retries.
Comment 1 Jordan Liggitt 2013-11-12 15:06:04 EST
Selector was incorrect in some cases...making a more generic:

h1 .name
Comment 2 openshift-github-bot 2013-11-12 16:24:53 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a2cefef46be1664ea38770212f4edb57cff9ae71
Fix bug 1029241: Make test case selector match better

Note You need to log in before you can comment on or make changes to this bug.